List account templates
curl --request GET \
--url https://api-sandbox.synctera.com/v0/accounts/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/accounts/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/accounts/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_templates": [
{
"is_enabled": true,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_payment_period": 20,
"balance_ceiling": {
"balance": 1,
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overflow_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"balance_floor": {
"balance": 123,
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdraft_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billing_period": {
"start_date": "2022-01-01T00:00:00Z"
},
"fee_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"grace_period": 2,
"interest_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_ach_credit_enabled": true,
"is_ach_debit_enabled": true,
"is_ach_enabled": false,
"is_card_credit_enabled": true,
"is_card_debit_enabled": true,
"is_card_enabled": false,
"is_cash_credit_enabled": true,
"is_cash_debit_enabled": true,
"is_cash_enabled": false,
"is_check_credit_enabled": true,
"is_check_debit_enabled": true,
"is_check_enabled": false,
"is_eft_ca_credit_enabled": true,
"is_eft_ca_debit_enabled": true,
"is_eft_ca_enabled": true,
"is_external_card_credit_enabled": true,
"is_external_card_debit_enabled": true,
"is_external_card_enabled": false,
"is_fednow_credit_enabled": true,
"is_fednow_debit_enabled": true,
"is_fednow_enabled": true,
"is_p2p_enabled": false,
"is_sar_enabled": false,
"is_synctera_pay_credit_enabled": true,
"is_synctera_pay_debit_enabled": true,
"is_synctera_pay_enabled": false,
"is_wire_credit_enabled": true,
"is_wire_debit_enabled": true,
"is_wire_enabled": false,
"minimum_payment": {
"min_amount": 123,
"rate": 123
},
"overdraft_limit": 1,
"reward_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"spending_limits": {
"day": {
"amount": 1,
"transactions": 1
},
"description": "<string>",
"lifetime": {
"amount": 1,
"transactions": 1
},
"month": {
"amount": 1,
"transactions": 1
},
"transaction": {
"amount": 1
},
"week": {
"amount": 1,
"transactions": 1
}
},
"vendor_info": {
"vendor_data": {
"loanpro": {
"cash_advance_bucket_id": 67890,
"loc_product_id": 67890,
"purchases_bucket_id": 12345,
"tenant_id": "1"
}
},
"vendor_type": "LOANPRO"
}
},
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl"
}
],
"next_page_token": "a8937a0d"
}Accounts
List account templates
List account templates
GET
/
accounts
/
templates
List account templates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The type of the account
The type of the account. In lead mode, this always takes the value of the template. If not specified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:
- SAVING: Savings account
- CHECKING: Checking account
- PREPAID: Prepaid account
- LINE_OF_CREDIT: Line of Credit account
- CREDIT_CARD: Credit Card account
- CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering
- CHARGE_UNSECURED: (alpha) Unsecured Charge account
- REVOLVING_CREDIT_SECURED: Secured Revolving Credit account
- REVOLVING_CREDIT_UNSECURED: Unsecured Revolving Credit account
- GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.
Available options:
CHARGE_SECURED, CHARGE_UNSECURED, CHECKING, CREDIT_CARD, GENERAL_LEDGER, LINE_OF_CREDIT, PREPAID, REVOLVING_CREDIT_SECURED, REVOLVING_CREDIT_UNSECURED, SAVING Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?
⌘I

